package com.dgtis.dorm.manager.db.dao;

import com.dgtis.dorm.manager.db.domain.ZhllCollect;

import java.util.List;

/**
 * 收藏 数据层
 * 
 * @author ruoyi
 * @date 2019-07-10
 */
public interface ZhllCollectMapper 
{
	/**
     * 查询收藏信息
     * 
     * @param id 收藏ID
     * @return 收藏信息
     */
	public ZhllCollect selectZhllCollectById(String id);
	
	/**
     * 查询收藏列表
     * 
     * @param zhllCollect 收藏信息
     * @return 收藏集合
     */
	public List<ZhllCollect> selectZhllCollectList(ZhllCollect zhllCollect);
	
	/**
     * 新增收藏
     * 
     * @param zhllCollect 收藏信息
     * @return 结果
     */
	public int insertZhllCollect(ZhllCollect zhllCollect);
	
	/**
     * 修改收藏
     * 
     * @param zhllCollect 收藏信息
     * @return 结果
     */
	public int updateZhllCollect(ZhllCollect zhllCollect);


	/*
	 * @descption: 根据收藏id删除收藏
	 * @param: [id]
	 * @return: java.lang.Integer
	 * @auther: qxp
	 * @date:19-7-10 16:50
	 */
	public Integer deleteById(String id);
}